--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Adds an instance to records map.
- !ruby/struct:SM::Flow::P 
  body: "@param klass [Class, DataMapper::Resource] @param name [Symbol] @param instance [DataMapper::Resource]"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
- !ruby/struct:SM::Flow::P 
  body: "@returns [DataMapper::Resource] added instance"
full_name: DataMapper::Sweatshop::record
is_singleton: true
name: record
params: (klass, name, instance)
visibility: public
